<?php

class Migration_20250801043706_alter_live_camera_stream
{
    public static function up(PDO $pdo)
    {

        $sql1 = "ALTER TABLE live_camera_streaming_data 
                 ADD COLUMN ftp_managed_folder VARCHAR(255) DEFAULT NULL";
        $pdo->exec($sql1);

        $sql2 = "ALTER TABLE live_camera_streaming_data 
                 MODIFY COLUMN ftp_password VARCHAR(128) DEFAULT NULL";
        $pdo->exec($sql2);
    }

    public static function down(PDO $pdo)
    {

        $sql1 = "ALTER TABLE live_camera_streaming_data 
                 DROP COLUMN ftp_managed_folder";
        $pdo->exec($sql1);

        $sql2 = "ALTER TABLE live_camera_streaming_data 
                 MODIFY COLUMN ftp_password VARCHAR(56) DEFAULT NULL";
        $pdo->exec($sql2);
    }
}

